Search processing.org:

Reference for Processing version 1.0+. If you have a previous version, use the reference included with your software. If you see any errors or have any comments, let us know.

Class | PVector
Name | ### sub()
Examples |
    PVector v1, v2;

    void setup() {
      smooth();
      noLoop();
      v1 = new PVector(40, 20, 0);
      v2 = new PVector(65, 70, 0);
    }

    void draw() {
      ellipse(v1.x, v1.y, 12, 12);
      ellipse(v2.x, v2.y, 12, 12);
      v2.sub(v1);
      ellipse(v2.x, v2.y, 24, 24);
    }
    PVector v;

    void setup() {
      smooth();
      noLoop();
      v = new PVector(65, 70, 0);
    }

    void draw() {
      ellipse(v.x, v.y, 12, 12);
      ellipse(40, 20, 12, 12);
      v.sub(40, 20, 0);
      ellipse(v.x, v.y, 24, 24);
    }
    PVector v1, v2;

    void setup() {
      smooth();
      noLoop();
      v1 = new PVector(65, 70, 0);
      v2 = new PVector(40, 20, 0);
    }

    void draw() {
      ellipse(v1.x, v1.y, 12, 12);
      ellipse(v2.x, v2.y, 12, 12);
      PVector v3 = PVector.sub(v1, v2);
      ellipse(v3.x, v3.y, 24, 24);
    }
Description | Subtracts x, y, and z components from a vector, subtracts one vector from another, or subtracts two independent vectors. The version of the method that substracts two vectors is a static method and returns a PVector, the others have no return value -- they act directly on the vector. See the examples for more context.
Syntax |
    vec.sub(x, y, z)
    vec.sub(v)
    PVector.sub(v1, v2)
Parameters |
vec | any variable of type PVector
x | float: the x component of the vector
y | float: the y component of the vector
z | float: the z component of the vector
v | PVector: the x, y, and z components of a PVector object
v1 | PVector: the x, y, and z components of a PVector object
v2 | PVector: the x, y, and z components of a PVector object
vec | any variable of type PVector
Returns | None or PVector
Usage | Web & Application

Updated on November 22, 2008 08:39:25pm PST